<?php
namespace Incoviba\old\Proyecto;

use Incoviba\Common\Alias\OldModel as Model;

/**
 *
 * @property int id
 * @property Proyecto proyecto
 * @property Agente agente
 * @property TipoCobro tipo
 * @property date fecha
 * @property float valor
 * @property float iva
 * @property float uf
 * @property string identificador
 * @property string glosa
 *
 */
class Cobro extends Model
{
	 public function proyecto()
	 {
	 	return $this->has_one(Proyecto::class);
	 }
	 public function agente()
	 {
	 	return $this->has_one(Agente::class);
	 }
	 public function tipo()
	 {
	 	return $this->has_one(TipoCobro::class);
	 }
}
?>
